# Linux compressor humanizer

## Installation

###### install
```
sudo ./install.sh
```

###### Uninstall
```
sudo ./uninstall.sh
```

## Usage

###### Compress
```
$ lch file.zip file1 [file2...] 
```

###### Decompress
```
$ lch file.zip 
```

## Supported extensions

###### Packing/unpacking:
- 7z
- bz2
- gz
- rar
- tar
- tar.bz2
- tar.gz
- tar.xz
- tgz
- zip

###### Unpacking only:
- arj
- cab
- dmg
- iso
- lzh
- lzma
- rpm
- SquashFS

###### Unpacking only (beta):
- cdi
- chd
- vmdk
- win
- xar
- z

## Testing with docker
```
$ git clone https://gitea.hatthieves.es/cloud/lch
$ cd lch && docker run -it --rm --name lch --workdir /lch -v $(pwd):/lch putyourdistributionhere ./lch -h
```